# Get Multiple Sections

{% tabs %}
{% tab title="cURL" %}

```bash
curl --location -g 
--request GET 'https://mburger.cloud/api/blocks/884/sections?filter[id]=10088,10047&include=elements' \
--header 'Accept: application/json' \
--header 'X-MBurger-Version: 3' \
--header 'X-MBurger-Token: 1234567890qwertyuiop' \

```

{% endtab %}

{% tab title="iOS SDK" %}

```swift
MBClient.getSections(ofBlock: BLOCK_ID,
                     elements: true,
                     success: { (sections, paginationInfo) in
                                
                     },
                     failure: { error in
                                
                     })
```

{% endtab %}

{% tab title="Android SDK" %}

```kotlin
val sectionsListener = object: MBSectionsResultListener{
            override fun onSectionsApiError(error: String) {
            }

            override fun onSectionsApiResult(sections: ArrayList<MBSection>, 
                                             block_id: Long, 
                                             paginationInfos: MBPaginationInfo) {
            }
        }
        
MBurgerTasks.askForSections(context = applicationContext, 
                         block_id = BLOCK_ID,
                         filters = null,
                         getElements = true,
                         listener = sectionsListener)
```

{% endtab %}

{% tab title="PHP SDK" %}

```php
$response = (new MBurger())->getSections($block_id);
```

{% endtab %}

{% tab title="JS SDK" %}

```javascript
// Import MBurger SDK
const mburger = require('mburger');

// Init the connection
const instance = mburger.createClient({
  api_key: '1234567890'
});

// Retrieve a specific block
instance.getBlock({
      block_id: 884,
      locale: 'it',
      original_media: false,
      filter: {
          'id': '10100, 10200, 10300' 
      }
}).then(result => console.log(result));

```

{% endtab %}

{% tab title="Flutter SDK" %}

```dart
MBPaginatedResponse<MBSection> sections = await MBManager.shared.getSections(
   blockId: BLOCK_ID,
   includeElements: true,
);
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mburger.cloud/how-to/basic-interactions/sections/get-multiple-sections.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
